Problem (?) updating OMV5

  • I have a problem updating packages on my OMV5 installation on a raspberry pi 4. The Update Manager in the GUI shows no packages to be updated. However, sudo apt update tells me that there are many packages to be updated, but also apt_pkg.Error: E:Error, pkgProblemResolver::Resolve generated breaks, this may be caused by held packages.. I've tried omv-aptclean, but that did not solve the issue. I don't know where to start looking for a solution, so I need some help please.


    Everything else seems to be running without problems. I can access files through the command line. I am running nextcloud with letsencrypt (using the linuxserver.io docker images), and that works without problems as well.


    Matthijs

  • I've tried omv-aptclean, but that did not solve the issue. I don't know where to start looking for a solution, so I need some help please.

    You aren't giving us much. Post the output from omv-aptclean.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • You aren't giving us much. Post the output from omv-aptclean.


    For completeness, the last lines of output from omv-update are

  • Hi,

    I still have this problem. Can anyone help? Please let me know if I need to post more information. I don't have much experience, and just don't know where to start looking for a solution. Thanks!

  • What is the output of: dpkg -l | grep libgcc

    Code
    ii libgcc-8-dev:armhf 8.3.0-6+rpi1 armhf GCC support library (development files)
    ii libgcc-9-dev:armhf 9.3.0-13 armhf GCC support library (development files)
    ii libgcc-s1:armhf 10.1.0-3 armhf GCC support library
    ii libgcc1:armhf 1:8.3.0-6+rpi1 armhf GCC support library
  • What about: apt-cache policy libc6-dev

    Code
    libc6-dev:
    Installed: 2.28-10+rpi1
    Candidate: 2.31-1
    Version table:
    2.31-1 500
    500 http://deb.debian.org/debian unstable/main armhf Packages
    *** 2.28-10+rpi1 500
    500 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages
    100 /var/lib/dpkg/status
  • I didn't know I had the unstable repo enabled. How do I disable it?

    What is the output of: grep -r unstable /etc/apt/*

    And is it possible to say what could have enabled it?

    No idea. Nothing OMV enables it.

    Could I have done this by accident?

    Maybe by running some non-OMV script that does something. Hard to say.

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • The only thing I can imagine is that I tried to play around with the update management settings, and ticked the boxes for the optional updates. I didn't notice any changes, so I unticked them again. Could that have caused this? I don't remember if my update issues began after that.


    No idea how that got there. What is the output of: cat /etc/apt/sources.list

    Code
    deb http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi
    # Uncomment line below then 'apt-get update' to enable 'apt-get source'
    #deb-src http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi
    deb http://deb.debian.org/debian/ unstable main
  • Could that have caused this?

    Nope. There is nothing in omv or omv-extras that adds the unstable repo. Get rid of it with:


    sudo sed -i "/unstable/d" /etc/apt/sources.list

    sudo omv-aptclean

    omv 5.5.17-3 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.4.2
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • First of all, thanks for all your time & effort so far! Much appreciated.


    I followed your instructions, and it almost worked. OMV seemed to be updating, but it couldn't complete the update. I forgot to write down the error message when it happened, but when I try to update again I receive an error message saying

    Code
    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; apt-get update 2>&1' with exit code '100': E : Malformed line 2 in source list /etc/apt/sources.list (type) E : The list of sources could not be read.

    I checked sources.list, and it now looks like this:

    Code
    deb http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi
    -backports/d
    # Uncomment line below then 'apt-get update' to enable 'apt-get source'
    -backports/d
    #deb-src http://raspbian.raspberrypi.org/raspbian/ buster main contrib non-free rpi
    -backports/d

    I tried to delete all the [tt]-backports/d[\tt] lines (they were not there before), but then updating gives an error saying

    Code
    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; apt-get update 2>&1' with exit code '100': Get:1 file:/var/cache/openmediavault/archives InRelease Ign:1 file:/var/cache/openmediavault/archives InRelease Get:2 file:/var/cache/openmediavault/archives Release Ign:2 file:/var/cache/openmediavault/archives Release Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Ign:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Get:3 file:/var/cache/openmediavault/archives Packages Get:4 file:/var/cache/openmediavault/archives Translation-en Ign:4 file:/var/cache/openmediavault/archives Translation-en Hit:5 http://security.debian.org/debian-security buster/updates InRelease Hit:6 http://packages.openmediavault.org/public usul InRelease Hit:7 http://archive.raspberrypi.org/debian buster InRelease Hit:8 http://raspbian.raspberrypi.org/raspbian buster InRelease Hit:9 https://openmediavault.github.io/packages usul InRelease Ign:10 https://dl.bintray.com/openmediavault-plugin-developers/usul n/a InRelease Ign:11 https://dl.bintray.com/openmediavault-plugin-developers/usul-extras n/a InRelease Err:12 https://dl.bintray.com/openmediavault-plugin-developers/usul n/a Release 404 Not Found [IP: 52.29.63.201 443] Err:13 https://dl.bintray.com/openmediavault-plugin-developers/usul-extras n/a Release 404 Not Found [IP: 52.29.63.201 443] Ign:14 https://download.docker.com/linux/debian n/a InRelease Err:15 https://download.docker.com/linux/debian n/a Release 404 Not Found [IP: 13.226.132.112 443] Reading package lists... E : The repository 'https://dl.bintray.com/openmediavault-plugin-developers/usul n/a Release' does not have a Release file. E : The repository 'https://dl.bintray.com/openmediavault-plugin-developers/usul-extras n/a Release' does not have a Release file. E : The repository 'https://download.docker.com/linux/debian n/a Release' does not have a Release file

    I tried running [tt]omv-aptclean[\tt] again, but that didn't help.

  • lsb_release -a

    Code
    No LSB modules are available.
    Distributor ID: Debian
    Description: Debian GNU/Linux bullseye/sid
    Release: testing/unstable
    Codename: n/a


    omv-salt deploy run apt

    Again, but with sudo omv-salt deploy run apt

  • Okay. I was already starting to fear that I would have to reinstall OMV. It's still a mystery to me how I could have ended up here. Will try to be very conservative from now on...


    In any case, thanks again for your time & effort.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!